# nmake /f os2_bsf4rexx.mak [all | clean | rebuild]
#
# This Makefile originates from John Small who has helped build the
# DLL for OS/2 Warp machines in May 2001; kudos to John Small !
#
# Created by IBM WorkFrame/2 MakeMake at 9:42:36 on 25 May 2001
#
# The actions included in this make file are:


# DEFS_RGF = /DUSE_OREXX

.SUFFIXES: .cc .obj

# how to get from "cc" to "obj"
.cc.obj :
    @echo " Compile::C++ Compiler .cc.obj"
    icc.exe /O+ /Tdp $(DEFS_RGF)/Sa /Q /Gm /Ge- /Ms /C %s

all : .\bsf4rexx.map .\BSF4Rexx.dll


.\bsf4rexx.map .\BSF4Rexx.dll : .\BSF4Rexx.obj {$(LIB)}REXX.LIB {$(LIB)}BSF4Rexx.def
    @echo " Link::Linker "
    icc.exe @<<
     /Q /B"/noe /m "
     /FeBSF4Rexx.dll
     /Fm"bsf4rexx.map"
     REXX.LIB
     BSF4Rexx.def
     .\BSF4Rexx.obj
<<



.\BSF4Rexx.obj: .\BSF4Rexx.cc {.\BSF4Rexx;$(INCLUDE);}com_ibm_bsf_engines_rexx_RexxAndJava.h

# removes the intermediary files, causes "all" in turn to re-create the dll from scratch
clean :
   - del BSF4Rexx.map
   - del BSF4Rexx.obj


# first "clean", then cause "all" to create the dll from scratch
rebuild : clean all


